package websocket_data

// websocket数据交互
type DataTransferData struct {
	T string      `json:"t"` //消息类型
	D interface{} `json:"d"` //传递的消息
}

// websocket接受要云渲染处理的数据
type RenderImageReqMsg struct {
	RenderId   string     `json:"render_id"` //渲染id
	RenderData RenderData `json:"render_data"`
}
type RenderData struct {
	TemplateTag string `json:"template_tag"` //模板标签(必须)
	ProductId   int64  `json:"product_id"`   //产品id(必须)
	Website     string `json:"website"`      //网站(可选)
	Slogan      string `json:"slogan"`       //slogan(可选)
	Address     string `json:"address"`      //地址(可选)
	Phone       string `json:"phone"`        //电话(可选)
	UserId      int64  `json:"user_id"`      //用户id(websocket连接建立再赋值)
	GuestId     int64  `json:"guest_id"`     //游客id(websocket连接建立再赋值)
	Logo        string `json:"logo"`         //log资源地址(websocket连接建立再赋值)
}

// websocket发送渲染完的数据
type RenderImageRspMsg struct {
	RenderId string `json:"render_id"` //渲染id
	Image    string `json:"image"`     //渲染结果图片
}
type ThirdPartyLoginRspMsg struct {
	//websocket三方登录的通知数据
	Token string `json:"token"`
}
